libsigc++ 2.99.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

sigc::adaptor_base Struct Reference
Adaptors

A hint to the compiler. More...

`#include <sigc++/adaptors/adaptor_base.h>`

Inheritance diagram for sigc::adaptor_base:
[legend]

## Detailed Description

A hint to the compiler.

Functors which have all methods based on templates should publicly inherit from this hint.

Adaptors don't inherit from this type directly. They use use sigc::adapts as a base type instead. sigc::adaptors wraps arbitrary functor types as well as function pointers and class methods.